Identity VerificationNigeriaBusinessCAC Advanced Verification POST
POST
/api/v1/verification/api/cac_advance/

Corporate Affairs Commission business verification (Nigeria)

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/verification/api/cac_advance/" \  -H "Content-Type: application/json" \  -d '{    "rc_number": "e.g. 7339654",    "company_type": "Select Company Type"  }'
{  "data": {    "lga": null,    "city": null,    "state": null,    "directors": [      {        "id": 21431,        "lga": null,        "city": "",        "email": "",        "state": null,        "gender": null,        "status": "ACTIVE",        "address": "60 IBADAN STREET, EBUTE METTA LAGOS",        "surname": "",        "formType": null,        "postcode": null,        "rcNumber": null,        "countryFk": null,        "firstname": "DEL LAYAN                                                                                      ",        "otherName": "N/A",        "formerName": null,        "isChairman": null,        "occupation": null,        "dateOfBirth": null,        "isCorporate": null,        "nationality": null,        "phoneNumber": null,        "isDesignated": null,        "isPublicUser": null,        "streetNumber": null,        "typeOfShares": null,        "formerSurname": null,        "formerNameType": null,        "identityNumber": null,        "affiliateTypeFk": {          "id": 6988,          "name": "LAWYER",          "description": "LAWYER"        },        "corporationName": null,        "formerFirstName": null,        "formerOtherName": null,        "numSharesAlloted": null,        "dateOfAppointment": null,        "formerNationality": null,        "corporationCompany": {          "id": null,          "lga": null,          "rrr": null,          "city": null,          "batch": null,          "email": null,          "state": null,          "active": null,          "ofEach": null,          "status": null,          "address": null,          "firsTin": null,          "queried": null,          "approver": null,          "postcode": null,          "rcNumber": null,          "resolved": null,          "enteredBy": null,          "queryCode": null,          "formerName": null,          "objectives": null,          "trackingId": null,          "consentCode": null,          "dateCreated": null,          "dividedInto": null,          "fullAddress": "",          "isOldRecord": null,          "paymentDate": null,          "updatedByFk": null,          "approvedName": null,          "dateOfUpdate": null,          "jtbTINStatus": null,          "shareCapital": null,          "streetNumber": null,          "branchAddress": null,          "companyStatus": null,          "companyTypeFk": null,          "date_of_query": null,          "forwardedToAo": null,          "progressLevel": null,          "review_status": null,          "dateOfApproval": null,          "forwardedToRgs": null,          "hasBeenUpdated": null,          "queryHistoryFk": null,          "updatingOffice": null,          "durationInQueue": null,          "regPortalUserFk": null,          "activeForPostInc": null,          "availabilityCode": null,          "classificationFk": null,          "delisting_status": null,          "financialYearEnd": null,          "nameAvailability": null,          "natureOfBusiness": null,          "registrationDate": null,          "approvedForUpdate": null,          "companyHeadOffice": null,          "dateOfReservation": null,          "isForChangeOfName": null,          "natureOfBusinessFk": null,          "head_office_address": null,          "reservationSerialNo": null,          "shareCapitalInWords": null,          "dateOfUpdateApproval": null,          "needsProficiencyDocs": null,          "reasonForDisapproval": null,          "registrationApproved": null,          "registrationSerialNo": null,          "approvedForUpdateByFk": null,          "approvedNameForSearch": null,          "isSubmittedForPostInc": null,          "registrationSubmitted": null,          "timeTakeTobeProcessed": null,          "isChangeOfNameSubmited": null,          "businessCommencementDate": null,          "registrationApprovedByRg": null,          "registrationSubmissionDate": null        },        "accreditationnumber": null,        "affiliatesPscInformation": null,        "otherDirectorshipDetails": null,        "affiliatesResidentialAddress": null      }    ],    "rc_number": "7000",    "company_id": 155522,    "entity_type": "RC",    "searchScore": null,    "company_name": "JE TRADING CO. LTD",    "branchAddress": null,    "email_address": null,    "company_status": "INACTIVE",    "company_address": null,    "registrationDate": "1983-10-10T00:00:00Z"  },  "status": true,  "response_code": "00",  "message": "string",  "billing_info": {    "was_charged": true,    "amount": "string",    "currency": "string"  }}
Response Codes & Statuses: Prembly API responses include custom response_code values (e.g., 00 Success, 01 Not Found, 02 Unavailable).
View Response Codes Guide
Prembly Slack Community

Join our developer Slack channel for real-time integration support, engineering updates, and direct Q&A with the Prembly team.

Join Slack Channel